<?php

namespace App\Generated\V1_1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetAloneGroupMessage extends Message
{
    use ValueHelper;

    protected $stageId;
    protected $activityType;
    protected $result;

    /**
     * 期数
     * @return int|null
     */
    public function getStageId()
    {
        return $this->stageId;
    }

    /**
     * 获取类型(72h|qbj)【默认:72h】
     * @return string|null
     */
    public function getActivityType()
    {
        return $this->activityType;
    }

    public function requestRules()
    {
        return [
            ['stageId', 'stage_id', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['activityType', 'activity_type', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
